Package org.eclipse.graphiti.ui.internal.command

# Class MoveAnchorFeatureCommandWithContext

java.lang.Object
org.eclipse.graphiti.internal.command.FeatureCommand
org.eclipse.graphiti.internal.command.FeatureCommandWithContext
org.eclipse.graphiti.ui.internal.command.MoveAnchorFeatureCommandWithContext

All Implemented Interfaces:
  `IContextHolder`, `IFeatureAndContext`, `IFeatureHolder`, `IFeatureProviderHolder`, `IDescription`, `ICommand`, `IReadOnlyProvider`

public class MoveAnchorFeatureCommandWithContext extends FeatureCommandWithContext

## Constructor Summary

Constructors
Constructor
Description
`MoveAnchorFeatureCommandWithContext(IMoveAnchorFeature feature, IMoveAnchorContext context, org.eclipse.gef.GraphicalEditPart ep)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canExecute()`
Can execute.
`boolean`
`execute()`
Execute.
`protected IMoveAnchorContext`
`getLayoutAnchorContext()`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommandWithContext

`canUndo, getContext, undo`

### Methods inherited from class org.eclipse.graphiti.internal.command.FeatureCommand

`getDescription, getFeature, getFeatureProvider, isReadOnly`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureHolder

`getFeature`

## Constructor Details

### MoveAnchorFeatureCommandWithContext

public MoveAnchorFeatureCommandWithContext(IMoveAnchorFeature feature, IMoveAnchorContext context, org.eclipse.gef.GraphicalEditPart ep)

## Method Details

### canExecute

public boolean canExecute()
Description copied from interface: `ICommand`
Can execute.

Returns:
  true, if successful

### execute

public boolean execute()
Description copied from interface: `ICommand`
Execute.

Returns:
  true, if successful

### getLayoutAnchorContext

protected IMoveAnchorContext getLayoutAnchorContext()